<?php
require_once 'inc/usuario.php';

checkLogin('login.php');


date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/clientes.php';
  $redirect = 'erpc_clientes_list.php';
  $clientes = ler_clientes();
  
  /*
  echo "<pre>";
  print_r($clientes);
  echo "</pre>";
  exit;
  */

  //FORMATAR campo de data antes de inserir/atualizar no banco
  for($i=1; $i <= 10; $i++){
      if(!empty($clientes["ds_data" . $i])){
          $data = str_replace("/", "-", $clientes["ds_data" . $i]);
          $clientes["ds_data" . $i] =  date('Y-m-d', strtotime($data));
      }
      if(!empty($clientes["ds_valor" . $i])){
          $clientes["ds_valor" . $i] = str_replace(".", "", $clientes["ds_valor" . $i]);
          $clientes["ds_valor" . $i] = str_replace(",", ".", $clientes["ds_valor" . $i]);
      }
  }
    
    if (isset($_POST['btn-add']) or isset($_POST['helper-adicionar'])) {

        $ok = clientes_insert($clientes);
        if ($ok === false) {
          $redirect = 'erpc_clientes_add.php';
        }
        
        
        
        
    }else if (isset($_POST['btn-venda'])){
       $id_c = clientes_insert_venda($clientes);
       if($id_c != null) {
         $url = 'erpc_venda_rapida_add.php?id_c=' . base64_encode($id_c);
         header("Location:$url");
       }
       exit; 
   }else if (isset($_POST['btn-edit'])) {
    $ok = clientes_update($clientes);
    if ($ok === false) {
      $redirect = 'erpc_clientes_edit.php?id=' . urlencode(base64_encode($clientes['id']));
    }

  } else if (isset($_POST['btn-remove'])) {
    $ok = clientes_delete($clientes);
    if ($ok === false) {
      $redirect = 'erpc_clientes_remove.php?id=' . urlencode(base64_encode($clientes['id']));
    }
  }
 
  //Voltando para lista
  if(isset($_POST['helper'])){
    if ($ok) {
      $msg['text'] = 'Item inserido com sucesso';
      $msg['type'] = 'success';
    } else {
      $msg['text'] = $errorMsg;
      $msg['type'] = 'error';
    }
    header('Content-type: application/json');
    echo json_encode($msg);
  }else{
    header("Location:$redirect");
  }
}

function ler_clientes() {
  date_default_timezone_get('America/Sao_Paulo');
  $clientes = clientes_create();
  if (isset($_POST['clientes'])) {
    $clientes = array_replace_recursive($clientes, $_POST['clientes']);
  }
  foreach($clientes as $k => $v) {
    $clientes[$k] = sgcws_sanitize_field($k, $v);
  }
  return $clientes;
}
